
kerio.waw.ui.trafficSourceDestinationEditor = {

x_m: function(x_n) {
var
x_1un = ('x_1sy' === x_n),
x_1b = kerio.lib,
x_x = x_1b.x_x,
x_32, x_4u,
x_1q, x_1uo,
x_3l, x_5o,
x_3n     = x_n + '_' + 'x_1up',
x_1uq  = x_3n     + '_' + 'x_1ud',
x_176 = x_1uq  + '_' + 'x_1ur';
x_4u = {
x_4c: this.x_ka,
x_1e: [
{
x_13f: true,
x_1j: 'x_56',
x_23: x_x('Add', 'common'),
x_1e: [
{
x_1j: 'x_1t0',
x_23: x_x('Firewall', 'common'),
x_cy: 'gridListIcon ipGroupIcon agTypeFirewall',
x_25: this.x_1us
},
{
x_1j: 'x_12b',
x_23: x_x('Host…', 'trafficSourceDestinationEditor'),
x_cy: 'gridListIcon ipGroupIcon agTypeHost',
x_25: this.x_1ut
},
{
x_1j: 'x_s0',
x_23: x_x('Address Groups…', 'trafficSourceDestinationEditor'),
x_cy: 'groupIcon grpHeader ipGroupIcon',
x_25: this.x_1uu
},
'-',
{
x_1j: 'x_m8',
x_23: x_x('Interfaces…', 'trafficSourceDestinationEditor'),
x_cy: 'interfaceIcon interfaceEthernet',
x_25: this.x_1uv
},
{
x_1j: 'x_1uw',
x_23: x_x('VPN…', 'trafficSourceDestinationEditor'),
x_cy: 'gridListIcon interfaceIcon interfaceVpnServer',
x_25: this.x_1ux
},
'-',
{
x_1j: 'x_1uy',
x_23: x_x('Any Authenticated User', 'trafficSourceDestinationEditor'),
x_cy: 'nodeIcon treeIconDomains',
x_25: this.x_1uz
},
{
x_1j: 'x_1v0',
x_23: x_x('Selected Users…', 'trafficSourceDestinationEditor'),
x_cy: 'gridListIcon userIcon',
x_25: this.x_1v1
}
] },
{
x_1j: 'x_4n',
x_23: x_x('Remove', 'common'),
x_31: true,
x_25: this.x_1v2
}
]
};
x_32 = new kerio.lib.x_37(x_1uq, x_4u);
x_1uo = {
x_1f: 'x_1q',
x_1l: true,
x_1s: x_x('Show empty groups', 'trafficSourceDestinationEditor'),

x_9t: function(x_32, x_1q, x_1v3) {
kerio.waw.status.x_p.x_1v4.x_1v5 = x_1v3;
x_32.x_3m.x_1q8();
}
};
x_1q = new kerio.lib.x_ar(x_176, x_1uo);
x_1q.x_9d = x_32;
x_32.x_aa(x_1q, 2);
x_5o = {
x_5v: {
x_5w: x_32
},
x_d2: {
x_7s: 'x_g6'
},
x_5x: {
x_nh: {
x_7s: 'x_1f',
x_ni: true,
x_1v6: false
},
x_1e: [
{
x_7s: 'x_1f',
x_gn: true, x_na: this.x_1v7
},
{
x_23: x_x('Item', 'common'),
x_7s: 'x_g6',
x_cs: false,
x_7u: this.x_eb
}
] },
x_62: this.x_1v8
}; x_3l = new kerio.lib.x_4g(x_3n, x_5o);
kerio.lib.x_6o(x_3l, x_32, [
kerio.lib.x_6b.x_6d.x_6e.x_4l,
kerio.lib.x_6b.x_6d.x_6e.x_4p
]);
var x_10 = {
x_1y: (x_1un)
? x_x('Traffic Policy - Source Editor', 'trafficSourceDestinationEditor')
: x_x('Traffic Policy - Destination Editor', 'trafficSourceDestinationEditor'),
x_1x: x_3l,
x_mc: this.x_13,
x_1v: 500,
x_l1: 500
};
var x_16 = new kerio.lib.x_26(x_n, new x_fa.x_md(x_10));
x_16.x_27({
x_1un: x_1un,
x_1ch: false,
x_3l: x_3l,
x_7w: null,
x_o5: {},
x_1v9: x_1q,
x_vr: {
x_1t0: x_x('Firewall', 'common'),
x_l8: x_x('Interfaces', 'trafficSourceDestinationEditor'),
x_1va: x_x('Hosts', 'trafficSourceDestinationEditor'),
x_1vb: x_x('VPN server', 'trafficSourceDestinationEditor'),
x_1az: x_x('Address Groups', 'trafficSourceDestinationEditor'),
x_1b4: x_x('Users and Groups', 'trafficSourceDestinationEditor'),
x_1vc: x_x('Internet interfaces', 'trafficSourceDestinationEditor'),
x_1vd: x_x('Trusted/Local interfaces', 'trafficSourceDestinationEditor'),
x_1ve: x_x('Any connected VPN Client', 'trafficSourceDestinationEditor'),
x_1vf: x_x('All VPN Tunnels', 'trafficSourceDestinationEditor'),
x_1vg: x_x('Any source', 'trafficSourceDestinationEditor'),
x_1vh: x_x('Any destination', 'trafficSourceDestinationEditor'),
x_1rw: x_x('Nothing', 'common')
}
}); x_3l.x_27({
x_1un: x_1un,
x_16: x_16,
x_32: x_32
}); if (!kerio.waw.status.x_p.x_1v4 || undefined === kerio.waw.status.x_p.x_1v4.x_1v5) {
x_fi.x_iq(
{
x_1v4: {
x_1v5: false
}
},
kerio.waw.status.x_p
); }
this.x_2a(x_16);
return x_16;
},
x_2a: function(x_2b) {
var
x_3l = x_2b.x_3l;
x_2b.x_27({
x_2c: this.x_2d,
x_jo: this.x_35
});
x_3l.x_27({
x_1uz: this.x_1vi,
x_ii: this.x_ii,
x_1v1: this.x_1vj,
x_1uu: this.x_1vk,
x_1uv: this.x_1vl,
x_1ux: this.x_1vm,
x_1vn: this.x_1vn,
x_1vo: this.x_1vo,
x_1q8: this.x_1q8,
x_1vp: this.x_1vp,
x_1vq: this.x_1vq,
x_1vr: this.x_1vr,
x_1q6: this.x_1q6,
x_1v2: this.x_1v2
});
}, 
x_2d: function(x_28) {
var
x_1vs = x_r.x_1io,
x_vr = this.x_vr,
x_47 = x_28.x_47,
x_5x = [],
x_3l = this.x_3l,
x_1ch = false,
x_8p = '',
x_1vt, x_1f,
x_41, x_42;
x_47 = (this.x_1un)
? x_47.sourceList
: x_47.destinationList;
if (x_47[0] && x_47[0].x_1ch) {
x_1ch = true;
x_8p = x_vr.x_1rw;
} else {
if (this.x_1un) {
x_8p = x_vr.x_1vg;
} else {
x_8p = x_vr.x_1vh;
}
}
x_3l.x_2o.getView().emptyText = x_8p;this.x_o5 = x_28.x_47;
this.x_7w = x_28.x_5d;
if (!x_1ch) {
for (x_41 = 0, x_42 = x_47.length; x_41 < x_42; x_41++) {
x_1vt = x_47[x_41];
x_1f = x_1vt.type;
switch (x_1f) {
case x_1vs.x_1cv:
case x_1vs.x_1cw:
case x_1vs.x_1cx:
x_1f = x_1vs.x_1cu;
break;
default:
break; }
x_5x.push({
x_1f: x_1f,
x_g6: x_1vt
});
}
}
x_3l.x_7k(x_5x);
this.x_1ch = x_1ch;
this.x_1v9.x_9w(kerio.waw.status.x_p.x_1v4.x_1v5);
this.x_1v9.x_84(x_1ch);
x_3l.x_1q8(x_1ch);
}, 
x_13: function() {
var
x_1vs = x_r.x_1rt,
x_16 = this.x_2p, x_3l = x_16.x_3l,
x_47 = x_3l.x_7i(),
x_o5 = x_16.x_o5[(x_16.x_1un)?'source':'destination'],
x_1vu = false,
x_1vv,
x_41, x_42,
x_1vt;
x_o5.firewall = false;
x_o5.entities = [];

for (x_41 = 0, x_42 = x_47.length; x_41 < x_42; x_41++) {
x_1vt = x_47[x_41].x_g6;
if (x_r.x_1io.x_1cx === x_1vt.type) {
x_o5.firewall = true;
}
else if (!x_1vt.x_vi) {
x_o5.entities.push(x_1vt);
} }
x_1vv = x_o5.entities.length;
if (x_1vs.x_1sl === x_o5.type && 0 === x_1vv && !this.x_16.x_1ch) {
x_o5.type = x_1vs.x_1f0;
x_1vu = true;
}
if (0 < x_1vv
|| (0 === x_1vv && x_o5.firewall)) {
x_o5.type = x_1vs.x_1ru;
x_1vu = true;
}
else if (x_1vs.x_1ru === x_o5.type) {
x_o5.type = x_1vs.x_1f0;
x_1vu = true;}
if (x_1vu) {
x_16.x_7w.x_hg();
kerio.waw.status.x_14.x_15(true);
}
x_16.x_2r();
}, 
x_35: function() {
this.x_3l.x_7k([]);
}, 
x_ka: function(x_4d, x_4e) {
var
x_4k = kerio.lib.x_6b.x_6d.x_6e,
x_4i,
x_4j,
x_46;
if (x_4d instanceof kerio.lib.x_4g) {
switch (x_4e.x_1f) {
case x_4k.x_4l:
x_46 = x_4d.x_3v.x_46;
this.x_3b('x_4n', 0 < x_46);
break; case x_4k.x_4p:
x_4i = kerio.lib.x_6b.x_6d.x_6f;
x_4j = x_4e.x_4q.keyCode;
if (((x_4i.x_4r === x_4j) || (x_4i.x_4s === x_4j))) {
x_4d.x_1v2(this); }
break; }
}
}, 
x_ii: function(x_1vw, x_1vx) {
var
x_47,
x_dr,
x_41, x_42,
x_1vy,
x_1mn = 'unknown',
x_1vz = x_1vw.x_1f,
x_1t2 = this.x_2p.x_7w.x_1t2,
x_1tu = -1;
x_dr = this.x_7i();
for (x_41 = 0, x_42 = x_dr.length; x_41 < x_42; x_41++) {
x_1mn = x_dr[x_41].x_1f;
if ((x_1vz === x_1mn) || (x_1vx === x_1mn)) {
break;
}
}
if ((x_41 < x_42) && (x_1vz === x_1mn)) {
x_1vy = x_1vw.x_g6;
for (x_41 = x_41, x_42 = x_dr.length; x_41 < x_42; x_41++) {
x_47 = x_dr[x_41];
if ((x_1tu === x_1t2(x_1vy, x_47.x_g6)) || (x_1vz !== x_47.x_1f)) {
break;
}
}
}
if (x_41 === x_42) {
this.x_7k([ x_1vw ], true );
}
else {
this.x_ih(x_1vw, x_41, true);
}
}, 
x_1q8: function(x_1w0) {
var
x_1vs  = x_r.x_1io,
x_47 = this.x_7i(),
x_1w1 = x_47.length,
x_16 = this.x_16,
x_41;
for (x_41 = x_1w1-1; x_41 >= 0; x_41--) {
if (x_47[x_41].x_g6.x_vi) {
this.x_1w2(x_41);
}
}
if (x_1w1 > 0 && x_16.x_1ch) {
x_16.x_1ch = false;
this.x_2o.getView().emptyText = (this.x_1un ? x_16.x_vr.x_1vg
: x_16.x_vr.x_1vh);
}
if (x_1w0) {
return;
}
x_16.x_1v9.x_84(false);
if (!kerio.waw.status.x_p.x_1v4.x_1v5) {
this.x_dy();
return;
}
x_47 = [];
if (!this.x_iw(this.x_1vr, { x_1f: x_1vs.x_1cu })) {
x_47.push({x_1f: x_1vs.x_1cu, x_g6: {x_vi: true}});
}
if (!this.x_iw(this.x_1vr, { x_1f: x_1vs.x_v0 })) {
x_47.push({x_1f: x_1vs.x_v0, x_g6: {x_vi: true}});
}
if (!this.x_iw(this.x_1vr, { x_1f: x_1vs.x_1qr })) {
x_47.push({x_1f: x_1vs.x_1qr, x_g6: {x_vi: true}});
}
if (!this.x_iw(this.x_1vr, { x_1f: x_1vs.x_14d })) {
x_47.push({x_1f: x_1vs.x_14d, x_g6: {x_vi: true}});
}
if (!this.x_iw(this.x_1vr, { x_1f: x_1vs.x_1iq })) {
x_47.push({x_1f: x_1vs.x_1iq, x_g6: {x_vi: true}});
}
this.x_7k(x_47, true); this.x_dy();
}, 
x_1v7: function(x_1o) {
var
x_1vs = x_r.x_1io,
x_vr = this.x_16.x_vr,
x_23 = '',
x_x6;
switch(x_1o) {
case x_1vs.x_1cx:
case x_1vs.x_1cu:
case x_1vs.x_1cv:
case x_1vs.x_1cw:
x_23 = x_vr.x_1va;
x_x6 = 'ipGroupIcon agTypeHost';
break;
case x_1vs.x_v0:
x_23 = x_vr.x_1az;
x_x6 = 'grpHeader ipGroupIcon';
break;
case x_1vs.x_1qr:
x_23 = x_vr.x_l8;
x_x6 = 'interfaceIcon interfaceEthernet';
break;
case x_1vs.x_14d:
x_23 = x_vr.x_1vb;
x_x6 = 'interfaceIcon interfaceVpnServer';
break;
case x_1vs.x_1iq:
x_23 = x_vr.x_1b4;
x_x6 = 'userGroupIcon';
break;
default:
x_23 = x_1o;
break;
}
return {
x_47: x_23,
x_cy: x_x6
};
}, 
x_eb: function(x_1o, x_47) {
if (x_1o.x_vi) {
return {
x_47: kerio.lib.x_x('This group is empty', 'common'),
x_1p: 'emptyGroup'
};
}
var x_3l = this.x_16.x_7w;
return x_3l.x_1rn(x_1o, x_3l);
}, 
x_1us: function(x_32) {
var
x_1vs = x_r.x_1io,
x_3l = x_32.x_2p,
x_1t0 = x_fa.x_b0('x_1in'),
x_1w3 = x_3l.x_iw(x_3l.x_1q6, x_1t0);
if (x_1w3) {
return;
}
x_3l.x_ih({
x_1f: x_1vs.x_1cu,
x_g6: x_1t0
},
0, true);
x_3l.x_1q8();
}, 
x_1uz: function(x_32) {
var
x_1b4,
x_3l = x_32.x_2p,
x_1w4 = x_3l.x_iw(x_3l.x_1q6, x_fa.x_b0('x_1ip')),
x_1b = kerio.lib,
x_x = x_1b.x_x;
if (x_1w4) {
return; }
x_1b4 = x_3l.x_iw(x_3l.x_1vr, { x_1f: x_r.x_1io.x_1iq });
if (!x_1b4) { x_3l.x_1uz();
return;
}
x_1b.x_4b(
(x_3l.x_1un)
? x_x('Traffic Policy - Source Editor', 'trafficSourceDestinationEditor')
: x_x('Traffic Policy - Destination Editor', 'trafficSourceDestinationEditor'),
'<b>'
+ x_x('All selected users will be removed from the list.', 'trafficSourceDestinationEditor')
+ '</b><br><br>'
+ x_x('Do you want to continue?', 'trafficSourceDestinationEditor'),
x_3l.x_1uz,
x_3l,
'no'
); }, 
x_1vp: function(x_1f) {
var
x_1vs = x_r.x_1io,
x_47 = this.x_7i(),
x_41,
x_g6;
for (x_41 = x_47.length - 1; x_41 >= 0; x_41--) {
x_g6 = x_47[x_41].x_g6;
if (x_1vs.x_1iq === x_g6.type) {
if (undefined === x_1f || x_g6.userType === x_1f) {
this.x_1w2(x_41);
}
}
else {
return; }
}
}, 
x_1vi: function(x_sm) {
var x_1vs = x_r.x_1io;
if ('no' === x_sm) {
return; }
this.x_1vp();
this.x_7k(
[
{
x_1f: x_1vs.x_1iq,
x_g6: x_fa.x_b0('x_1ip')
}
],
true );
this.x_1q8(); }, 
x_1v1: function(x_32) {
var x_3l = x_32.x_3m;
kerio.lib.x_5l.x_5m({
x_5g: 'selectItems',
x_n: 'x_cc',
x_28: {
x_7w: x_3l,
x_2e: x_3l.x_1v1,
x_7y: false
}
});
}, 
x_1vj: function(x_1v0, x_1w5, x_a4, x_1w6) {
var
x_1c9 = x_r.x_1io.x_1iq,
x_1w7 = x_r.x_1c8,
x_1w8 = false,
x_1w9,
x_41, x_42;
this.x_1vp(x_1w7.x_1ce);
for (x_41 = 0, x_42 = x_1w6.length; x_41 < x_42; x_41++) {
x_1w9 = x_1w6[x_41];
x_1w9 = x_fa.x_b0('x_1im', {
type: x_1c9,
userType: x_1w7.x_1ci,
user: {
id: x_1w9.x_1j,
name: x_1w9.x_a6,
isGroup: x_1w9.x_di,
domainName: x_a4
}
}); if (null === this.x_iw(this.x_1q6, x_1w9)) {
this.x_ii({ x_1f: x_1c9, x_g6: x_1w9 }, 'thisIsLast');
x_1w8 = true;
}
} if (x_1w8) {
this.x_1q8();
}
}, 
x_1v2: function(x_32) {
var x_3l = x_32.x_3m;
x_3l.x_70();
x_3l.x_1q8();
}, 
x_1uu: function(x_32) {
var x_3l = x_32.x_3m;
kerio.lib.x_5l.x_5m({
x_5g: 'selectItems',
x_n: 'x_1dc',
x_28: {
x_7w: x_3l,
x_2e: x_3l.x_1uu,
x_7y: false,
x_7i: {
x_28: {
method: 'getGroupList',
object: 'IpAddressGroupManager',
params: {
query: null
}
},
x_68: 'groups'
} } }); }, 
x_1vk: function(x_1jh, x_1wa, x_a4, x_1w6) {
var
x_14g = x_r.x_1io.x_v0,
x_1j6 = x_r.x_1io.x_1qr,
x_1w8 = false,
x_vy,
x_41, x_42;
for (x_41 = 0, x_42 = x_1w6.length; x_41 < x_42; x_41++) {
x_vy = x_1w6[x_41];
x_vy = x_fa.x_b0('x_1im', {
type: x_14g,
addressGroup: {
id: x_vy.x_1j,
name: x_vy.x_a6
}
}); if (null === this.x_iw(this.x_1q6, x_vy)) {
this.x_ii({ x_1f: x_14g, x_g6: x_vy }, x_1j6);
x_1w8 = true;
}
} if (x_1w8) {
this.x_1q8();
}
}, 
x_1uv: function(x_32) {
var x_3l = x_32.x_3m;
kerio.lib.x_5l.x_5m({
x_5g: 'selectItems',
x_n: 'x_1dd',
x_28: {
x_7w: x_3l,
x_2e: x_3l.x_1uv,
x_7y: false,
x_7i: {
x_28: {
method: 'get',
object: 'InterfaceManager',
params: {
sortByGroup: false,
query: x_fa.x_b0('x_1iz')
}
},
x_68: 'interfaces'
}, x_1dh: [
{
type: 'x_1mo',
status: 0,
id: 'x_1mo',
name: kerio.lib.x_x('Internet interfaces', 'trafficRuleList'),
enabled: true
},
{
type: 'x_1mp',
status: 0,
id: 'x_1mp',
name: kerio.lib.x_x('Trusted/Local interfaces', 'trafficRuleList'),
enabled: true
}
] } }); }, 
x_1vl: function(x_1jh, x_1wa, x_a4, x_1w6) {
var
x_1j6 = x_r.x_1io.x_1qr,
x_1wb = x_r.x_1s0,
x_1wc = x_r.x_1io.x_14d,
x_1w8 = false,
x_m8,
x_41, x_42;
for (x_41 = 0, x_42 = x_1w6.length; x_41 < x_42; x_41++) {
x_m8 = x_1w6[x_41];
if ('x_1mo' === x_1jh[x_41]) {
x_m8 = x_fa.x_b0('x_1im', {
type: x_1j6,
interfaceCondition: {
type: x_1wb.x_134
}
}); }
else if ('x_1mp' === x_1jh[x_41]) {
x_m8 = x_fa.x_b0('x_1im', {
type: x_1j6,
interfaceCondition: {
type: x_1wb.x_14c
}
}); }
else {
x_m8 = x_fa.x_b0('x_1im', {
type: x_1j6,
interfaceCondition: {
type: x_1wb.x_1ru,
interfaceType: x_m8.type,
enabled: x_m8.enabled,
selectedInterface: {
id: x_m8.id,
name: x_m8.name
}
}
}); }
if (null === this.x_iw(this.x_1q6, x_m8)) {
this.x_ii({ x_1f: x_1j6, x_g6: x_m8 }, x_1wc);
x_1w8 = true;
}
} if (x_1w8) {
this.x_1q8();
}
}, 
x_1ux: function(x_32) {
var x_3l = x_32.x_3m;
kerio.lib.x_5l.x_5m({
x_5g: 'selectItems',
x_n: 'x_1de',
x_28: {
x_7w: x_3l,
x_2e: x_3l.x_1ux,
x_7y: false,
x_7i: {
x_28: {
method: 'get',
object: 'InterfaceManager',
params: {
sortByGroup: false,
query: x_fa.x_b0('x_1j0')
}
},
x_68: 'interfaces'
}, x_1dh: [
{
type: 'x_1mq',
status: 0,
id: 'x_1mq',
name: kerio.lib.x_x('VPN clients', 'trafficRuleList'),
enabled: true
},
{
type: 'x_1mr',
status: 0,
id: 'x_1mr',
name: kerio.lib.x_x('All VPN tunnels', 'trafficRuleList'),
enabled: true
}
] } }); }, 
x_1vm: function(x_1jh, x_1wa, x_a4, x_1w6) {
var
x_1wc = x_r.x_1io.x_14d,
x_1wd = x_r.x_1is,
x_1c9 = x_r.x_1io.x_1iq,
x_1s7 = false,
x_1w8 = false,
x_1we = this.x_iw(this.x_1vr, {
x_1f: x_r.x_1io.x_14d,
x_1wc: x_r.x_1is.x_1ru
}),
x_1uw,
x_41, x_42;
for (x_41 = 0, x_42 = x_1w6.length; x_41 < x_42; x_41++) {
x_1uw = x_1w6[x_41];
if ('x_1mq' === x_1jh[x_41]) {
x_1uw = x_fa.x_b0('x_1im', {
type: x_1wc,
vpnCondition: {
type: x_1wd.x_1s8
}
}); }
else if ('x_1mr' === x_1jh[x_41]) {
x_1s7 = true;
continue; }
else {
x_1we = true;
x_1uw = x_fa.x_b0('x_1im', {
type: x_1wc,
vpnCondition: {
type: x_1wd.x_1ru,
enabled: x_1uw.enabled,
tunnel: {
id: x_1uw.id,
name: x_1uw.name
}
}
}); }
if (null === this.x_iw(this.x_1q6, x_1uw)) {
this.x_ii({ x_1f: x_1wc, x_g6: x_1uw }, x_1c9);
x_1w8 = true;
}
} if (x_1w8) {
this.x_1q8();
}

if (x_1s7) {
if (x_1we) {
this.x_1vn({ x_2p: this }); }
else {
this.x_1vo();
}
}
else if (x_1we) {
this.x_1vq(x_1wd.x_1gd);
}
}, 
x_1vn: function(x_32) {
var
x_3l = x_32.x_2p,
x_1wf = x_3l.x_iw(x_3l.x_1vr, {
x_1f: x_r.x_1io.x_14d,
x_1wc: x_r.x_1is.x_1ru
}),
x_1f7 = x_3l.x_iw(x_3l.x_1q6, x_fa.x_b0('x_1ir')),
x_1b = kerio.lib,
x_x = x_1b.x_x;
if (x_1f7) {

this.x_1vq(x_r.x_1is.x_1ru);
return; }
if (!x_1wf) { x_3l.x_1vo();
return;
}
x_1b.x_4b(
(x_3l.x_1un)
? x_x('Traffic Policy - Source Editor', 'trafficSourceDestinationEditor')
: x_x('Traffic Policy - Destination Editor', 'trafficSourceDestinationEditor'),
x_x('Do you want to add All VPN tunnels?', 'trafficSourceDestinationEditor')
+ '<br><br><b>'
+ x_x('All selected VPN tunnels will be removed from the list.', 'trafficSourceDestinationEditor')
+ '</b>',
x_3l.x_1vo,
x_3l,
'no'
); }, 
x_1vq: function(x_1f) {
var
x_1vs = x_r.x_1io,
x_47 = this.x_7i(),
x_41;
for (x_41 = x_47.length - 1; x_41 >= 0; x_41--) {
if (x_1vs.x_14d === x_47[x_41].x_g6.type) {
if (undefined === x_1f || x_47[x_41].x_g6.vpnCondition.type === x_1f) {
this.x_1w2(x_41);
}
}
}
}, 
x_1vo: function(x_sm) {
var
x_1vs = x_r.x_1io;
if ('no' === x_sm) {
return; }
this.x_1vq(x_r.x_1is.x_1ru);
this.x_ii({ x_1f: x_1vs.x_14d, x_g6: x_fa.x_b0('x_1ir') }, x_1vs.x_1iq);
this.x_1q8(); }, 
x_1ut: function(x_32) {
kerio.lib.x_5l.x_5m({
x_5g: 'trafficHostEditor',
x_n: 'x_1wg',
x_28: {
x_7w: x_32.x_3m
} }); }, 
x_1v8: function(x_3l, x_eo) {
var x_1vs = x_r.x_1io;
switch (x_eo.x_g6.type) {
case x_1vs.x_1cu:
case x_1vs.x_1cv:
case x_1vs.x_1cw:
kerio.lib.x_5l.x_5m({
x_5g: 'trafficHostEditor',
x_n: 'x_1pt',
x_28: {
x_7w: x_3l,
x_47: x_eo
} }); }
}, 
x_1vr: function(x_47) {
if (this.x_1wc) {
return (x_47.x_1f === this.x_1f && !x_47.x_g6.x_vi && x_47.x_g6.vpnCondition.type === this.x_1wc);
}
return (x_47.x_1f === this.x_1f) && !x_47.x_g6.x_vi;
}, 
x_1q6: function(x_47) {
var
x_1vs = x_r.x_1io,
x_1wh, x_uy, x_1wi; x_47 = x_47.x_g6;
if (x_47.type !== this.type) {
return false; }
switch (this.type) {
case x_1vs.x_1cx:
return true; case x_1vs.x_1cu:
return (x_47.host === this.host);
case x_1vs.x_1cw:  case x_1vs.x_1cv:
return (x_47.addr1 === this.addr1 && x_47.addr2 === this.addr2);
case x_1vs.x_1qr:
x_1wh = x_r.x_1s0;
x_uy = x_47.interfaceCondition || {};
x_1wi = this.interfaceCondition || {};
if (x_1wh.x_1ru === x_1wi.type) {
return (x_uy.type === x_1wi.type && x_uy.selectedInterface.id === x_1wi.selectedInterface.id);
}
else {
return (x_uy.type === x_1wi.type);
}
break; case x_1vs.x_14d:
x_1wh = x_r.x_1is;
x_uy = x_47.vpnCondition || {};
x_1wi = this.vpnCondition || {};
if (x_1wh.x_1ru === x_1wi.type) {
return (x_uy.type === x_1wi.type && x_uy.tunnel.id === x_1wi.tunnel.id);
}
else {
return (x_uy.type === x_1wi.type);
}
break; case x_1vs.x_1iq:
x_1wh = x_r.x_1c8;
x_uy = x_47.user || {};
x_1wi = this.user || {};
if (x_1wh.x_1ci === this.userType) {
return (x_47.userType === this.userType && x_uy.id === x_1wi.id);
}
else {
return (x_47.userType === this.userType);
}
break; default:
return false; } } }; 